tntdb::Row::const_iterator Class Reference
Inheritance diagram for tntdb::Row::const_iterator:

## Public Types

typedef const value_type & | const_reference
typedef const value_type * | const_pointer

## Public Member Functions

| const_iterator (const Row &row_, size_type offset_)
bool | operator== (const const_iterator &it) const
bool | operator!= (const const_iterator &it) const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator | operator-- ()
const_iterator | operator-- (int)
const_reference | operator* () const
const_pointer | operator-> () const
const_iterator & | operator+= (difference_type n)
const_iterator | operator+ (difference_type n) const
const_iterator & | operator-= (difference_type n)
const_iterator | operator- (difference_type n) const
difference_type | operator- (const const_iterator &it) const

The documentation for this class was generated from the following file:

- tntdb/bits/row_iterator.h